//富文本json解析模块
function RichTextBuilder(jsonText) {
	var rich_text_dom = '<div class="wp">';
	var questionArray = JSON.parse(jsonText);
	for (var i = 0; i < questionArray.length; i++) {
		 var question_text_dom = '<div class="rich-text">';
		 var title = '<span>题号：'+ question.mainNumber+'-'+question.subNumber +'</span><br/>';
		 question_text_dom = question_text_dom + title;
		 
		 var question = questionArray[i];
		 var blocks = question.body.sections.blocks;
		 var content = '';
		 for(var j = 0; j < blocks.length; j++){
			 var block = '';
			 if(block.type == 'text'){
				 block = '<p>'+ blocks[j].value +'</p>';
			 }
			 if(block.type == 'image'){
				 block = '<p><img src='+ blocks[j].value +'/></p>';
			 }
			 if(block.type == 'audio'){
				 block = '<p><audio controls><source src='+ blocks[j].value +' type="audio/ogg"/></audio></p>';
			 }
			 content = content + block;
		 }
		 question_text_dom = question_text_dom + content + '</div>';
		 rich_text_dom = rich_text_dom + question_text_dom;
	 }
	
	 rich_text_dom = rich_text_dom + '</div>';
	 return rich_text_dom;
}

